#
# spec file for package tripwire (Version 2.3.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  STLport gcc-c++ libstdc++-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel STLport autoconf automake binutils cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm

Name:         tripwire
License:      BSD
Group:        Productivity/Security
Provides:     Tripwire 
Autoreqprov:  on
Summary:      A tool to observe the filesystem
Version:      2.3.1
Release:      184
%define subv  2
Source:       tripwire-%{version}-%{subv}.tar.bz2
Source1:      twcfg.txt
Source2:      README.SuSE
Patch:        %{name}-%{version}-%{subv}.patch
Patch1:       tripwire-2.3.1-2-stdarg.patch
Patch2:       tripwire-2.3.1-2-format.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
By the use of tripwire it is possible to observe the filesystem.
tripwire generates a database, controlled by a configuration file, of
all files, their checksums, etc. and it reports changes. The location
of the binaries is /usr/sbin. An example of the policy file can be
found at /usr/share/doc/packages/tripwire. Tripwire wants its
configurationfile to be found at /etc/tw.config. The database has to be
saved at /etc/tw.



Authors:
--------
    Gene Kim <gkim@cs.purdue.edu>
    Gene Spafford <spaf@cs.purdue.edu>

%prep
%setup -n %{name}-%{version}-%{subv}
%patch
%patch1
%patch2
cp %{S:2} .

%build
make -C src release

%install
mkdir -p $RPM_BUILD_ROOT/etc/tripwire
mkdir -p $RPM_BUILD_ROOT/var/lib/tripwire/report
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man4
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 644 %{S:1} $RPM_BUILD_ROOT/etc/tripwire
install -m 700 bin/i686-pc-linux_r/* $RPM_BUILD_ROOT/usr/sbin
for i in `find man -type f -name "*.*"`; do install -m 644 $i $RPM_BUILD_ROOT/%{_mandir}${i#man}; done

%clean                                                                      
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog Release_Notes TRADEMARK WISHLIST README policy/*.txt README.SuSE
%doc %{_mandir}/*/*
%dir /etc/tripwire
%dir /var/lib/tripwire
%dir /var/lib/tripwire/report
/usr/sbin/*
%config /etc/tripwire/twcfg.txt

%changelog -n tripwire
* Fri Jun 18 2004 - tcrhak@suse.cz
- format string fix (patch format, bug #41622)
* Mon Jan 27 2003 - ro@suse.de
- use stdarg
* Mon Jan 06 2003 - tcrhak@suse.cz
- update to version 2.3.1
- created README.SuSE and twcfg.txt
* Wed Nov 13 2002 - ro@suse.de
- fix for current bison (end all rules with ";")
* Mon Mar 25 2002 - stepan@suse.de
- fix 64bit overflow bug
* Fri Mar 15 2002 - tcrhak@suse.cz
- added dir /usr/share/lib/tripwire to filelist
* Mon Aug 13 2001 - adostal@suse.cz
- apply tripwire-1.2.patch and makefile.patch
- fixed spec file (patches, RPM_BUILD_ROOT)
* Tue Jul 31 2001 - adostal@suse.cz
- convert source to bz2 and dif to patch
* Wed Mar 01 2000 - choeger@suse.de
- added mandir
* Thu Oct 28 1999 - ro@suse.de
- fixed to build on alpha
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 14 1998 - choeger@suse.de
- just another fix for german 'umlaute'
* Tue Sep 01 1998 - choeger@suse.de
- added siggen to the list of files...
* Thu Jul 02 1998 - choeger@suse.de
- changed some path's
* Mon Jun 29 1998 - choeger@suse.de
- new package, v1.2
